:root{
  --iscroll_scrollbar_width: 20px;
  --iscroll_scrollbar_height: 20px;
  --iscroll_indicator_width: 10px;
  --iscroll_scrollbar_padding: 10px;
  --iscroll_indicator_border_radius: 8px;
}
.iScrollVerticalScrollbar {
  width: var(--iscroll_scrollbar_width);
  position: absolute;
z-index: 9999;
bottom: 0;
top: 0;
  height: 100%;
/*right: 2px;*/
  right: -100%;
overflow: hidden;
}
.iScrollVerticalScrollbar .iScrollIndicator {
  
  position: absolute;
background: #fff;


border-radius: var(--iscroll_indicator_border_radius);
  width: var(--iscroll_indicator_width);
  left: calc((var(--iscroll_scrollbar_width) - var(--iscroll_indicator_width)) / 2);
  z-index: 100;
}

.iScrollVerticalScrollbar :where(.bottom_scrollbar,.top_scrollbar){
  position: absolute;
  width: 100%;
  left: 0;
  z-index: 30;
}

.iScrollVerticalScrollbar .top_scrollbar{
  top: 0;
}

.iScrollVerticalScrollbar .bottom_scrollbar{
  bottom: 0;
}

.iScrollHorizontalScrollbar {
  height: var(--iscroll_scrollbar_height);
  position: absolute;
z-index: 9999;
bottom: 100%;
  width: 100%;
overflow: hidden;
}

.iScrollHorizontalScrollbar .iScrollIndicator {
  
  position: absolute;
background: #fff;
border-radius: var(--iscroll_indicator_border_radius);
  height: var(--iscroll_indicator_width);
  z-index: 100;
}

.iScrollHorizontalScrollbar :where(.left_scrollbar,.right_scrollbar){
  position: absolute;
  height: 100%;
  z-index: 30;
}

.iScrollHorizontalScrollbar .left_scrollbar{
  left: 0;
}

.iScrollHorizontalScrollbar .right_scrollbar{
  right: 0;
}

.add_transition.iScrollIndicator{
  transition: all 0.3s !important;
}

.animate_scroll .scroll_content {
  /*-webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -ms-transform: translateZ(0);
  -o-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-text-size-adjust: none;
  -moz-text-size-adjust: none;
  -ms-text-size-adjust: none;
  -o-text-size-adjust: none;
  text-size-adjust: none;*/
  transition: transform 0.3s;
}

.animate_scroll .iScrollIndicator{
  transition: all 0.3s !important;
}

.scrollbar_shown:not(.scroll_x_only) .scroll_content {
  padding-right: var(--iscroll_scrollbar_width);
}

.scrollbar_shown:not(.scroll_x_only) .iScrollVerticalScrollbar{
  right: 0;
  
}

.scroll_x_only .scroll_content {
  width: fit-content;
  min-width: 100%;
}

.scrollbar_shown.scroll_x_only .scroll_content {
  padding-bottom: calc(var(--iscroll_scrollbar_padding) + var(--iscroll_scrollbar_height));
}


.scrollbar_shown.scroll_x_only  .iScrollHorizontalScrollbar{
  bottom: 0;
}

